> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /domain/agents/listings

> List a Domain.com.au agency's current listings by agency id (or agency profile URL) and channel (buy/rent/sold/new-homes).

**Price:** 1 credit per 20 results



## OpenAPI

````yaml /openapi/real-estate.json post /api/domain/agents/listings
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/domain/agents/listings:
    post:
      tags:
        - /domain
      summary: /domain/agents/listings
      description: >-
        List a Domain.com.au agency's current listings by agency id (or agency
        profile URL) and channel (buy/rent/sold/new-homes).


        **Price:** 1 credit per 20 results
      operationId: __api_domain_agents_listings_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DomainAgentsListingsPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/DomainSearchListing'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    DomainAgentsListingsPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        agent:
          type: string
          minLength: 1
        channel:
          $ref: '#/components/schemas/DomainChannel'
          default: buy
        count:
          type: integer
          minimum: 1
      type: object
      required:
        - agent
        - count
    DomainSearchListing:
      properties:
        '@type':
          type: string
          default: DomainSearchListing
        id:
          type: string
        url:
          anyOf:
            - type: string
            - type: 'null'
        listing_type:
          anyOf:
            - type: string
            - type: 'null'
        property_type:
          anyOf:
            - type: string
            - type: 'null'
        bedroom_count:
          anyOf:
            - type: integer
            - type: 'null'
        bathroom_count:
          anyOf:
            - type: integer
            - type: 'null'
        parking_count:
          anyOf:
            - type: integer
            - type: 'null'
        is_rural:
          anyOf:
            - type: boolean
            - type: 'null'
        is_retirement:
          anyOf:
            - type: boolean
            - type: 'null'
        is_new:
          anyOf:
            - type: boolean
            - type: 'null'
        price_label:
          anyOf:
            - type: string
            - type: 'null'
        address:
          anyOf:
            - type: string
            - type: 'null'
        suburb:
          anyOf:
            - type: string
            - type: 'null'
        state:
          anyOf:
            - type: string
            - type: 'null'
        postcode:
          anyOf:
            - type: string
            - type: 'null'
        unit_number:
          anyOf:
            - type: string
            - type: 'null'
        land_size:
          anyOf:
            - type: number
            - type: 'null'
        land_unit:
          anyOf:
            - type: string
            - type: 'null'
        features:
          items:
            type: string
          type: array
          default: []
        image:
          anyOf:
            - type: string
            - type: 'null'
        geolocation:
          anyOf:
            - $ref: '#/components/schemas/DomainGeolocation'
            - type: 'null'
      type: object
      required:
        - id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    DomainChannel:
      type: string
      enum:
        - buy
        - rent
        - sold
        - new-homes
    DomainGeolocation:
      properties:
        '@type':
          type: string
          default: DomainGeolocation
        latitude:
          anyOf:
            - type: number
            - type: 'null'
        longitude:
          anyOf:
            - type: number
            - type: 'null'
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````